Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Class OnLineFunction

    Object
      CodeList<OnLineFunction>
          OnLineFunction

All Implemented Interfaces:
  Serializable, Comparable<OnLineFunction>

    @UML(identifier="CI_OnLineFunctionCode",
         specification=ISO_19115)
    public final class OnLineFunction

extends CodeList<OnLineFunction>

Class of information to which the referencing entity applies.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static OnLineFunction` | `DOWNLOAD` Online instructions for transferring data from one storage device or system to another.
`static OnLineFunction` | `INFORMATION` Online information about the resource.
`static OnLineFunction` | `OFFLINE_ACCESS` Online instructions for requesting the resource from the provider.
`static OnLineFunction` | `ORDER` Online order process for obtaining the resource.
`static OnLineFunction` | `SEARCH` Online search interface for seeking out information about the resource.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static OnLineFunction` | `valueOf(String code)` Returns the OnLineFunction that matches the given string, or returns a new one if none match it.
`static OnLineFunction[]` | `values()` Returns the list of `OnLineFunction`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DOWNLOAD

    @UML(identifier="download",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final OnLineFunction DOWNLOAD

  Online instructions for transferring data from one storage device or system to another.

### INFORMATION

    @UML(identifier="information",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final OnLineFunction INFORMATION

  Online information about the resource.

### OFFLINE_ACCESS

    @UML(identifier="offlineAccess",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final OnLineFunction OFFLINE_ACCESS

  Online instructions for requesting the resource from the provider.

### ORDER

    @UML(identifier="order",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final OnLineFunction ORDER

  Online order process for obtaining the resource.

### SEARCH

    @UML(identifier="search",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final OnLineFunction SEARCH

  Online search interface for seeking out information about the resource.

Method Detail

### values

    public static OnLineFunction[] values()

  Returns the list of `OnLineFunction`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<OnLineFunction>`

### valueOf

    public static OnLineFunction valueOf(String code)

  Returns the OnLineFunction that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.